'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = buildUnion;

var _type = require('graphql/type');

var _buildASTSchema = require('graphql/utilities/buildASTSchema');

var _produceType = require('./produceType');

var _produceType2 = _interopRequireDefault(_produceType);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function buildUnion(unionAST) {
  var _ref = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  var resolveType = _ref.resolveType;
  var types = arguments[2];

  var unionTypeConfig = {
    name: unionAST.name.value,
    types: unionAST.types.map(function (typeAST) {
      return (0, _produceType2.default)(typeAST, types);
    }),
    resolveType: resolveType
  };
  var description = (0, _buildASTSchema.getDescription)(unionAST);
  if (description) unionTypeConfig.description = description;
  return new _type.GraphQLUnionType(unionTypeConfig);
}